Bio::Align::ProteinStatistics(3)

NAME
Bio::Align::ProteinStatistics - Calculate Protein Alignment statistics (mostly distances)

SYNOPSIS
  use Bio::Align::ProteinStatistics;
  use Bio::AlignIO;
  my $in = Bio::AlignIO->new(-format => 'fasta',
                            -file   => 'pep-104.fasaln');
  my $aln = $in->next_aln;

  my $pepstats = Bio::Align::ProteinStatistics->new();
  $kimura = $protstats->distance(-align => $aln,
                                 -method => 'Kimura');
  print $kimura->print_matrix;

DESCRIPTION
This object is for generating various statistics from a protein alignment. Mostly it is where pairwise protein distances can be calculated.

REFERENCES
D_Kimura - Kimura, M. 1983. The Neutral Theory of Molecular Evolution. CUP,
           Cambridge.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Jason Stajich
Email jason-at-bioperl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Align::ProteinStatistics->new();
 Function: Builds a new Bio::Align::ProteinStatistics object
 Returns : an instance of Bio::Align::ProteinStatistics
 Args    :

  distance
 Title   : distance
 Usage   : my $distance_mat = $stats->distance(-align  => $aln,
                                               -method => $method);
 Function: Calculates a distance matrix for all pairwise distances of
           sequences in an alignment.
 Returns : L<Bio::Matrix::PhylipDist> object
 Args    : -align  => Bio::Align::AlignI object
           -method => String specifying specific distance method
                      (implementing class may assume a default)

  available_distance_methods
 Title   : available_distance_methods
 Usage   : my @methods = $stats->available_distance_methods();
 Function: Enumerates the possible distance methods
 Returns : Array of strings
 Args    : none

  D - distance methods

  D_Kimura
 Title   : D_Kimura
 Usage   : my $matrix = $pepstats->D_Kimura($aln);
 Function: Calculate Kimura protein distance (Kimura 1983) which
           approximates PAM distance
           D = -ln ( 1 - p - 0.2 * p^2 )
 Returns : L<Bio::Matrix::PhylipDist>
 Args    : L<Bio::Align::AlignI>

  Data Methods

  pairwise_stats
 Title   : pairwise_stats
 Usage   : $obj->pairwise_stats($newval)
 Function:
 Returns : value of pairwise_stats
 Args    : newvalue (optional)